<?php
session_start();
$ruta="../../";
include_once($ruta."class/persona.php");
$persona=new persona;
include_once($ruta."class/domicilio.php");
$domicilio=new domicilio;
include_once($ruta."class/laboral.php");
$laboral=new laboral;
include_once($ruta."class/titular.php");
$titular=new titular;
include_once($ruta."class/admcontrato.php");
$admcontrato=new admcontrato;
include_once($ruta."class/verificacion.php");
$verificacion=new verificacion;
include_once($ruta."funciones/funciones.php");
extract($_POST);
    $existe=$persona->mostrarUltimo("carnet='".$idcarnet."'");
    $idpersona=$existe['idpersona'];
	$idnombre=strtoupper($idnombre);
	$idpaterno=strtoupper($idpaterno);
	$idmaterno=strtoupper($idmaterno);
	$idocupacion=strtoupper($idocupacion);
	$fecha=date("Y-m-d");
	$hora=date("H:i:s");
	
		 	//--------ACTUALIZAR DATOS DE PERSONA------------
			 	$valoresp=array(
					//"carnet"=>"'$idcarnet'",
					"expedido"=>"'$idexp'",
					"nombre"=>"'$idnombre'",
					"paterno"=>"'$idpaterno'",
					"materno"=>"'$idmaterno'",
					"nacimiento"=>"'$idnacimiento'",
					"email"=>"'$idemail'",
					"celular"=>"'$idcelular'",
					"idsexo"=>"'$idsexo'",
					"ocupacion"=>"'$idocupacion'",
					"tipopersona"=>"'CLIENTE'",
					//"fechaverificado"=>"'$fecha'",
					//"horaverificado"=>"'$hora'",
					//"fechaactualizado"=>"'$fecha'",
					//"userverificado"=>"'$iduserverificado'",
					//"idadmejecutivo"=>"'$idadmejecutivo'",
					//"verificado"=>"'1'",
					//"estado"=>"'1'"
			 );	
		    if($persona->actualizar($valoresp,$idpersona))
			{
				 $dom=$domicilio->mostrarUltimo("idpersona=".$idpersona);
			     $iddomicilio=$dom['iddomicilio'];
			     if (count($dom)>0) 
			     {
				     	$valoresD=array(
					    //"idpersona"=>"'$idpersona'",
					    "idbarrio"=>"'$idzona'",
					    "nombre"=>"'$iddireccion'",
					    "telefono"=>"'$idfono'",
					    "dirverdadero"=>"'$iddirverdadera'",
					    "observacion"=>"'$idobservacion'",
					    "colorcasa"=>"'$idcolorcasa'",
					    "colorpuerta"=>"'$idcolorpuerta'",
					    "afiches"=>"'$idafiches'",
					    "observacion2"=>"'$idobservacion2'",
					    "referencia"=>"'$idreferencia'",
					    "contacto"=>"'$idcontacto'",
					    "observacion3"=>"'$idobservacion3'",
					    "coordenadas"=>"'$idcoordenadaD'",
					    "fechaactualizado"=>"'$fecha'"
					  ); 
					  $domicilio->actualizar($valoresD,$iddomicilio);
			     }else{
			     		$valoresD=array(
					    "idpersona"=>"'$idpersona'",
					    "idbarrio"=>"'$idzona'",
					    "nombre"=>"'$iddireccion'",
					    "telefono"=>"'$idfono'",
					    "dirverdadero"=>"'$iddirverdadera'",
					    "observacion"=>"'$idobservacion'",
					    "colorcasa"=>"'$idcolorcasa'",
					    "colorpuerta"=>"'$idcolorpuerta'",
					    "afiches"=>"'$idafiches'",
					    "observacion2"=>"'$idobservacion2'",
					    "referencia"=>"'$idreferencia'",
					    "contacto"=>"'$idcontacto'",
					    "observacion3"=>"'$idobservacion3'",
					    "coordenadas"=>"'$idcoordenadaD'"
					   //"fechaverificado"=>"'$fecha'"
					  ); 
					  $domicilio->insertar($valoresD);

			       }
			        $lab=$laboral->mostrarUltimo("idpersona=".$idpersona);
			        $idlaboral=$lab['idlaboral'];
			        if (count($lab)>0) 
			        {
			        	$valorLab=array(
								    //"idpersona"=>"'$idp'",
								    "idbarrio"=>"'$idzona2'",
								    "nombre"=>"'$iddireccion2'",
								    "coordenadas"=>"'$idcoordenadaT'",
								    "fechaactualizado"=>"'$fecha'"
								  ); 
						$laboral->actualizar($valorLab,$idlaboral);
			        }else{
			        	$valorLab=array(
								    "idpersona"=>"'$idpersona'",
								    "idbarrio"=>"'$idzona2'",
								    "nombre"=>"'$iddireccion2'",
								    "coordenadas"=>"'$idcoordenadaT'"
								    //"fechaverificado"=>"'$fecha'"
								  ); 
						$laboral->insertar($valorLab);
			        }
			        ?>
						<script type="text/javascript">
						swal({
							title: "Exito !!!",
							text: "Actualizado correctamente",
							type: "success",
							showCancelButton: false,
							confirmButtonColor: "#28e29e",
							confirmButtonText: "OK",
							closeOnConfirm: false
				          }, function () {
							location.reload();
				          });
						</script>
					<?php
			}else{
				?>
					<script type="text/javascript">
						sweetAlert("Error", "No se pudo realizar la operación", "error");
					</script>
				<?php
			}

?>